> ## Documentation Index
> Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete verification

> Permanently deletes a verification and associated data.

Use for GDPR/CNDP compliance when users request data deletion.

**Note:** This action is irreversible.




## OpenAPI

````yaml openapi/identity.yaml delete /identity/verifications/{id}
openapi: 3.0.3
info:
  title: TXCloud Identity API
  version: 1.0.0
  description: >
    The TXCloud Identity API enables identity verification through document
    OCR, 

    face matching, liveness detection, and fraud checks.


    ## Base URL

    ```

    https://api.txcloud.io/v1

    ```


    ## Authentication

    All requests require a Bearer token in the Authorization header:

    ```

    Authorization: Bearer txc_live_your_api_key

    ```


    ## Rate Limits

    | Plan | Requests/min |

    |------|--------------|

    | Starter | 60 |

    | Growth | 300 |

    | Scale | 1,000 |

    | Enterprise | Custom |
  termsOfService: https://txcloud.io/terms
  contact:
    name: TXCloud API Support
    email: support@txcloud.io
    url: https://docs.txcloud.io
  license:
    name: Proprietary
    url: https://txcloud.io/license
  x-logo:
    url: https://txcloud.io/logo.png
servers:
  - url: https://api.txcloud.io/v1
    description: Production
  - url: https://sandbox.api.txcloud.io/v1
    description: Sandbox (test environment)
security:
  - BearerAuth: []
tags:
  - name: Verification
    description: Core identity verification endpoints
  - name: Management
    description: Manage and retrieve verifications
  - name: Sessions
    description: Multi-step verification sessions
  - name: Documents
    description: Document management
  - name: Configuration
    description: Supported documents and countries
paths:
  /identity/verifications/{id}:
    delete:
      tags:
        - Management
      summary: Delete verification
      description: |
        Permanently deletes a verification and associated data.

        Use for GDPR/CNDP compliance when users request data deletion.

        **Note:** This action is irreversible.
      operationId: deleteVerification
      parameters:
        - $ref: '#/components/parameters/VerificationId'
      responses:
        '200':
          description: Verification deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                    enum:
                      - verification
                  deleted:
                    type: boolean
                    example: true
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    VerificationId:
      name: id
      in: path
      required: true
      schema:
        type: string
      description: Verification ID
      example: ver_a1b2c3d4e5f6
  responses:
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````